Namespace
library
Image / Tag
swift:5.9.0
Content Digest
sha256:a13d1eff9d1639c967c2c1f28740328f57cde4caaf979d07e86811cbaefdd84d
Details
Created

2023-10-13 06:23:45 UTC

Size

772 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:43f89b94cd7df92a2f7e565b8fb1b7f502eff2cd225508cbd7ea2d36a9a3a601 - 3.76% (29 MB)

[#001] sha256:a27a36b75cc2e15afb22e2fdb9797195d738922a07a77e47913f085c78919c8f - 21.66% (167 MB)

[#002] sha256:a4c8a0b22dd523c68e43610f5a1542beb46858dba3e41167c0c9f005ca6f271a - 74.58% (576 MB)

[#003] sha256:b0939d4b823057b58fd91494f300cb315f4ee3fe4cb6db51884e16f5ef8cdb1f - 0.0% (200 Bytes)


History
2023-10-05 07:33:30 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-10-05 07:33:30 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-10-05 07:33:30 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-10-05 07:33:30 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-10-05 07:33:32 UTC

/bin/sh -c #(nop) ADD file:63d5ab3ef0aab308c0e71cb67292c5467f60deafa9b0418cbb220affcd078444 in /

2023-10-05 07:33:32 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-10-13 06:21:44 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-10-13 06:21:45 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-10-13 06:22:51 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-10-13 06:22:52 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-10-13 06:22:52 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-10-13 06:22:53 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release

2023-10-13 06:22:53 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE

2023-10-13 06:22:53 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-10-13 06:22:53 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-10-13 06:23:38 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-10-13 06:23:45 UTC

/bin/sh -c swift --version

Details
Created

2023-10-13 03:13:15 UTC

Size

762 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:895d322e8e5957c04af3ab7b3431f2a562182d34167c6e159e02044150a66967 - 3.55% (27.1 MB)

[#001] sha256:97118e2e53f65985f7768cea5cbf82a7c20a83156add390f122f3fca7a537f88 - 21.49% (164 MB)

[#002] sha256:1b49260746574ac03d34ee49e3cb603d739aff900be773e2d544fc3d8a60bed8 - 74.95% (571 MB)

[#003] sha256:29d31fae55d11a390355c1c256357ebb67926b9e003735bfb7ae9b3c5a5ac802 - 0.0% (200 Bytes)


History
2023-10-05 07:32:20 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-10-05 07:32:21 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-10-05 07:32:21 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-10-05 07:32:21 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2023-10-05 07:32:22 UTC

/bin/sh -c #(nop) ADD file:f8594e26831508c318e42c8dfd9942041031087b8de1bf3fec11fd75b8b30fd4 in /

2023-10-05 07:32:22 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-10-13 03:11:07 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-10-13 03:11:07 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-10-13 03:12:06 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2023-10-13 03:12:09 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-10-13 03:12:09 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04

2023-10-13 03:12:10 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release

2023-10-13 03:12:10 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE

2023-10-13 03:12:10 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-10-13 03:12:10 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-10-13 03:13:03 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2023-10-13 03:13:15 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete